package ru.yandex.autotests.direct.fakebsproxy.beans.ppcfeedtobannerland;

import com.google.gson.annotations.SerializedName;
import ru.yandex.autotests.direct.fakebsproxy.beans.BaseBean;

/**
 * Created by buhter on 01/06/16.
 */
public class CategsBean extends BaseBean<CategsBean> {
    @SerializedName("parentId")
    private Long parentId;

    @SerializedName("id")
    private Long id;

    @SerializedName("category")
    private String category;

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public CategsBean withId(Long id) {
        this.id = id;
        return this;
    }

    public CategsBean withParentId(Long parentId) {
        this.parentId = parentId;
        return this;
    }

    public CategsBean withCategory(String category) {
        this.category = category;
        return this;
    }
}
